KXMLGUIBuilder Class Reference

`#include <kxmlguibuilder.h>`

Inheritance diagram for KXMLGUIBuilder:

## Public Member Functions

| KXMLGUIBuilder (QWidget *widget)
KXMLGUIClient * | builderClient () const
void | setBuilderClient (KXMLGUIClient *client)
KInstance * | builderInstance () const
void | setBuilderInstance (KInstance *instance)
QWidget * | widget ()
virtual QStringList | containerTags () const
virtual QWidget * | createContainer (QWidget *parent, int index, const QDomElement &element, int &id)
virtual void | removeContainer (QWidget *container, QWidget *parent, QDomElement &element, int id)
virtual QStringList | customTags () const
virtual int | createCustomElement (QWidget *parent, int index, const QDomElement &element)
virtual void | removeCustomElement (QWidget *parent, int id)
virtual void | finalizeGUI (KXMLGUIClient *client)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Abstract interface for a "GUI builder", used by the GUIFactory This interface is implemented by KMainWindow for the case where the toplevel widget is a KMainWindow.

Other implementations may appear in the future (dialogs for instance)

Definition at line 39 of file kxmlguibuilder.h.

## Member Function Documentation

QWidget * KXMLGUIBuilder::createContainer | ( | QWidget * | parent,
|  | int | index,
|  | const QDomElement & | element,
|  | int & | id
| ) |  |

virtual

Creates a container (menubar/menu/toolbar/statusbar/separator/...) from an element in the XML file.

Parameters

  parent | The parent for the container
  index | The index where the container should be inserted into the parent container/widget
  element | The element from the DOM tree describing the container (use it to access container specified attributes or child elements)
  id | The id to be used for this container

Definition at line 114 of file kxmlguibuilder.cpp.

void KXMLGUIBuilder::removeContainer | ( | QWidget * | container,
|  | QWidget * | parent,
|  | QDomElement & | element,
|  | int | id
| ) |  |

virtual

Removes the given (and previously via createContainer ) created container.

Definition at line 240 of file kxmlguibuilder.cpp.

The documentation for this class was generated from the following files:

- kxmlguibuilder.h
- kxmlguibuilder.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys